Returns attribute node

- « DOMElement::getAttributeNode

- DOMElement::getAttributeNS »

- PHP Manual
- DOMElement
- Returns attribute node

# DOMElement::getAttributeNodeNS

(PHP 5, PHP 7, PHP 8)

DOMElement::getAttributeNodeNS — Returns attribute node

### Description

public DOMElement::getAttributeNodeNS(?string `$namespace`, string `$localName`): DOMAttr|DOMNameSpaceNode|null

Returns the attribute node in namespace `namespace` with local name `localName` for the current node.

### Parameters

`namespace`

  The namespace URI.

`localName`

  The local name.

### Return Values

The attribute node. Note that for XML namespace declarations (`xmlns` and `xmlns:*` attributes) an instance of DOMNameSpaceNode is returned instead of a DOMAttr object.

### See Also

- DOMElement::hasAttributeNS() - Checks to see if attribute exists
- DOMElement::setAttributeNodeNS() - Adds new attribute node to element
- DOMElement::removeAttributeNode() - Removes attribute